<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">  
    <xsl:template match="/">
        <html>
            <body>
                <h2>Catalog</h2>
                <table border="1">
                    <tr>
                        <th>Title</th>  
                        <th>Title Length</th>                       
                        <th>Country</th>
                        <th>UK origin?</th>
                        <th>Year</th>                        
                    </tr>
                    <xsl:for-each select="//cd[year>=1990]">   
                        <tr>
                            <td><xsl:value-of select="title" /></td>  
                            <td><xsl:value-of select="string-length(title)" /> </td>          
                            <td><xsl:value-of select="country"/></td>
                            <td>
                                <xsl:if test="country = 'UK'">
                                    Yes    
                                </xsl:if>
                            </td>
                            <td><xsl:value-of select="year"/></td>  
                            
                        </tr>
                    </xsl:for-each> 
                </table>
            </body>
        </html>
    </xsl:template>
    
</xsl:stylesheet>